<template>
    <lightning-tabset>
        <div class="slds-grid slds-wrap">
            <div class="slds-col slds-size_3-of-4">
                <c-search-string label={labels.searchByName}
                                 onsearchevent={handleSearchEvent}
                ></c-search-string>
            </div>
            <div class="slds-col slds-size_1-of-4">
                <lightning-checkbox-group name="Tax Type"
                                          options={filterOptions}
                                          value={filterValue}
                                          onchange={handleChangeFilterValue}>
                </lightning-checkbox-group>
            </div>
        </div>
        <template if:true={showTable}>
            <div class="slds-m-around_x-small">
                <c-table-with-pagination columns={columns}
                                         page-size={pageSize}
                                         oncustomclick={handleNotify}
                                         table-data={allTaxPayments}
                                         onchangepaginationdata={fillPaginationTaxPayments}>
                </c-table-with-pagination>
            </div>
        </template>
        <lightning-tab label={labels.recentPayments} value={labels.recentPayments} onactive={handleActiveTab}>
             <c-csv-export csv-columns={columns}
                           csv-data={afterPaginationTaxPayments}
                           class="slds-m-around_x-small slds-text-align_left">
            </c-csv-export>
        </lightning-tab>

        <lightning-tab label={labels.overduePayments} value={labels.overduePayments} onactive={handleActiveTab}>
            <lightning-button variant="brand"
                              class="slds-m-around_x-small slds-text-align_left"
                              label={labels.notifyAll}
                              title={labels.notifyAll}
                              onclick={handleNotifyAll}>
            </lightning-button>
        </lightning-tab>
    </lightning-tabset>
</template>